Page MenuHomePhabricator

Q1. New model for indentation (French, Catalan)
Closed, ResolvedPublic5 Story Points

Description

Note: We'll want to have a test instance where we can show this to people from French, Catalan, etc to make sure it works, before it goes live on Mediawiki. (This could be either a branch or a feature flag, whatever's best.)

Description of new rules:

Each message in a Flow conversation will have one of the following:
Comment link
Reply link
Entry field

  • The last message in a thread has the Entry field, and not a Comment/Reply link.
    • Posting a message using the Entry field adds the new message on the first level, with no indentation.
  • The last message in a tangent has the Reply link.
    • Posting a message using the Reply link adds the new message on that tangent level, with no extra indentation.
  • All other messages have a Comment link.
    • Posting a message using the Comment link adds the new message as a tangent, with 1+ level of indentation.
    • If there's already a tangent directly under the message you're commenting on, then the new message is added to the bottom of that tangent's messages.
  • Expand the number of indentation levels to 8. (The new model makes it less likely that threads will actually get to that max very often.)
  • The no-JS version should follow the same rules.

There's a design ticket (T88865) for possible tweaks to the visual design, but we can implement the new model and then do visual changes after that.


For discussion in story grooming meeting:

Email from Pau --

I created a prototype to try the idea of a more clear indentation model for Flow discussions. The basic idea is to provide users a clear way to continue the conversation by default (no decision on which kind of reply to do to continue the conversation) while still allow to indent the conversation when responding to a specific former conversation.

An example workflow is illustrated below:

The instructions to try it are:

  1. Go to the test board and log-in or create an account
  2. Go to Preferences > Appearance > Custom Javascript and add the following code:

    $.getScript("https://dl.dropboxusercontent.com/u/30377416/prototypes/flow/threading-model.js", function(){});

3.Go back to step 1 and participate in the conversation: Feel free to create a new topic.

Some considerations on the prototype:

The reply input box has been aligned with the comment above it.
Labels for replying and their default indentation levels have been adjusted.
It only works for the first two indentation levels.
After publishing a refresh of the page is triggered so that

We can discuss more in upcoming meetings, and if it seems to work, we can discuss the idea widely with the community.

Feel free to provide any feedback, or ask any question.

Event Timeline

DannyH created this task.Feb 4 2015, 1:33 AM
DannyH raised the priority of this task from to Needs Triage.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2015, 1:33 AM
DannyH triaged this task as Normal priority.Feb 4 2015, 1:34 AM
DannyH set Security to None.
Pginer-WMF updated the task description. (Show Details)Feb 4 2015, 6:44 PM

We're also going to remove the reply link in the titlebar, right?

DannyH updated the task description. (Show Details)Feb 6 2015, 11:37 PM
DannyH updated the task description. (Show Details)
DannyH updated the task description. (Show Details)
DannyH updated the task description. (Show Details)Feb 6 2015, 11:40 PM
DannyH updated the task description. (Show Details)Feb 6 2015, 11:50 PM
DannyH updated the task description. (Show Details)
DannyH updated the task description. (Show Details)Feb 10 2015, 5:55 PM
DannyH updated the task description. (Show Details)Feb 10 2015, 6:01 PM
DannyH renamed this task from New model for indentation to New model for indentation (French, Catalan).Feb 10 2015, 11:30 PM
DannyH edited a custom field.Feb 11 2015, 7:18 PM
DannyH renamed this task from New model for indentation (French, Catalan) to Q1. New model for indentation (French, Catalan).Feb 11 2015, 9:34 PM
DannyH updated the task description. (Show Details)Feb 11 2015, 9:38 PM
gerritbot added a subscriber: gerritbot.

Change 190568 had a related patch set uploaded (by EBernhardson):
WIP: New model for indentation

https://gerrit.wikimedia.org/r/190568

Patch-For-Review

DannyH closed this task as Resolved.Feb 24 2015, 5:21 PM

We've got the two prototypes running right now on two instances:

http://flow-tests.wmflabs.org/wiki/Talk:Something

http://ee-flow.wmflabs.org/wiki/Talk:SomethingElse

That was the goal of this ticket, so I'm marking it as resolved.

There's some more testing and discussion coming up about it -- so we'll open another ticket on this when we're ready to either change something about the prototypes, or merge a version for deployment.

Change 190568 merged by Matthias Mullie:
New model for indentation

https://gerrit.wikimedia.org/r/190568

qdinar added a subscriber: qdinar.Feb 4 2016, 6:54 PM

i comment, because it is not clear to me from texts in this page that the interface texts shown in the image at the topic start are not used now, they are changed, or never implemented.

from my post/comment (from one of them) at https://www.mediawiki.org/wiki/Topic:Senq838us190rqlp :

... unlike in the image [[:File:Pjx6fDd.png]], there are no "comment" text at upper posts, instead, they are all named "reply", and all have same style (togehter with the "reply"s at bottoms of threads) ...

i provide also a screenshot of current design:

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 4 2016, 6:54 PM
DannyH removed a subscriber: DannyH.Feb 4 2016, 7:26 PM

i comment, because it is not clear to me from texts in this page that the interface texts shown in the image at the topic start are not used now, they are changed, or never implemented.

Using two different words ("Reply" and "Comment") was considered and prototyped, but ultimately rejected.

qdinar added a comment.Feb 6 2016, 7:26 AM

there is page about [first experimental] deployment in www.mediawiki.org , and there are also screenshots: T92400 .